import telegram
import pandas as pd
from datetime import datetime, timedelta

# اطلاعات ربات
TOKEN = "8174076812:AAFBASDhl8EDa5_RYpnv3MpM3iyltbVijXQ"
CHAT_ID = 5963415570
bot = telegram.Bot(token=TOKEN)

# بارگذاری فایل اکسل
df = pd.read_excel("Plan.xlsx")
df["تاریخ"] = pd.to_datetime(df["تاریخ"])

# تعیین تاریخ فردا
tomorrow = datetime.now().date() + timedelta(days=1)
row = df[df["تاریخ"] == pd.to_datetime(tomorrow)]

# ساخت پیام
if row.empty:
    message = f"سلام محمد! برای فردا ({tomorrow.strftime('%Y/%m/%d')}) برنامه‌ای ثبت نشده."
else:
    r = row.iloc[0]
    weekday = r["روز"]
    date = r["تاریخ"].strftime('%Y/%m/%d')
    type = r["نوع محتوا"]
    topic = r["موضوع"]
    hour = r["ساعت انتشار"]
    hashtags = r["تعداد هشتگ"]
    hook = r["قلاب (هوک)"]
    execution = r["نوع اجرا"]
    category = r["دسته محتوا"]
    story = r["جزئیات استوری"]
    story_start = r["ساعت شروع استوری"]
    story_end = r["ساعت پایان استوری"]

    message = f"""سلام محمد!
فردا {date} ({weekday}) برنامه پیج موبایل رنگی:

{f"پست یا ریلز: {type}" if type != "نداری" else "فردا پست یا ریلز نداری."}
موضوع: {topic}
نوع اجرا: {execution}
ساعت انتشار: {hour}
تعداد هشتگ پیشنهادی: {hashtags}
قلاب موضوع: {hook}
دسته محتوا: {category}

استوری فردا:
موضوع استوری: {story}
ساعت‌های مناسب: از {story_start} تا {story_end}
قلاب استوری: {hook}
"""

bot.send_message(chat_id=CHAT_ID, text=message)